| Kea 3.0.2-git

isc::NotImplemented Class Reference

A generic exception that is thrown when a function is not implemented. More...

`#include <exceptions.h>`

Inheritance diagram for isc::NotImplemented:
[legend]

## Public Member Functions
| NotImplemented (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::Exception
virtual const char * | what () const throw ()
| Returns a C-style character string of the cause of the exception.
virtual const char * | what (bool verbose) const throw ()
| Returns a C-style character string of the cause of exception.
const std::string & | getMessage () const
| Gets a string describing the cause of the exception.
const char * | getFile () const
| Gets the file name where the exception was thrown.
size_t | getLine () const
| Gets the line number of the file where the exception was thrown.
| Exception (const char *file, size_t line, const char *what)
| Constructor for a given type for exceptions with file name and file line number.
| Exception (const char *file, size_t line, const std::string &what)
| Constructor for a given type for exceptions with file name and file line number.
virtual | ~Exception () throw ()
| The destructor.

## Detailed Description

A generic exception that is thrown when a function is not implemented.

This may be due to unfinished implementation or in case the function isn't even planned to be provided for that situation, i.e. not yet implemented or not supported.

Definition at line 166 of file exceptions/exceptions.h.

## Constructor & Destructor Documentation

## ◆ NotImplemented()

isc::NotImplemented::NotImplemented | ( | const char * | file,
|  | size_t | line,
|  | const char * | what )
| inline

Definition at line 168 of file exceptions/exceptions.h.

References isc::Exception::Exception(), and isc::Exception::what().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- exceptions/exceptions.h